using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Text;
using System.Windows.Forms;
using CyUSB;

namespace VWire.Connections {
	public partial class UsbConfig : UserControl {

		USBDeviceList usbDevices;

		public UsbConfig() {
			InitializeComponent();
		}

		public void Init(USBDeviceList _usbDevices) {
			usbDevices = _usbDevices;
		}

		private void UsbConfig_Load(object sender, EventArgs e) {
			UsbConfig_ReConfig();
		}

		public void UsbConfig_ReConfig() {

			comboBox1.Items.Clear();

			// TODO: this is ridiculously primitive.. replace it

			if ( usbDevices != null ) {
				foreach ( USBDevice device in usbDevices ) {
					comboBox1.Items.Add(device.Product);
				}

			}
		}
	}
}
